Bug 322571 - LiveCD does not boot on PlayStation 3
LiveCD does not boot on PlayStation 3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
ppc64 Linux
low Severity high
: ---
: ---
Assigned To: David Woodhouse
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-07 19:54 EDT by Justin Bandholz
Modified: 2013-01-09 23:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:18:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Bandholz 2007-10-07 19:54:31 EDT
Description of problem:

The PPC LiveCD does not boot on PlayStation 3 

Version-Release number of selected component (if applicable):

FC8 test 3

How reproducible:

every boot

Steps to Reproduce:
1. Download and burn the LiveCD to a CD for the PPC platform.
2. Select to boot the PS3 to OtherOS.
3. Insert the disk and boot the PS3.
4. Petitboot recognized the yaboot.conf.  Select either the "linux" or "check"
boot option.

Actual results:

When either of the boot options is selected, the PS3 turns off, beeps rapidly
three times, and blinks the power indicator LED.

Expected results:

Boot Linux

Additional info:

Using the Petitboot loader.  Have not tried other bootloaders or other PS3s. 
YDL, Gentoo, and Ubuntu have been installed on this PS3 before.
Comment 1 Jeremy Katz 2007-10-07 20:55:27 EDT
The ppc liveCD is ppc32 only because ppc32 and ppc64 kernels can't be installed
at the same time due to conflicting files.  As the ps3 is a ppc64 machine, this
kernel does not support it
Comment 2 Christopher Brown 2008-02-03 17:43:27 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am closing this NOTABUG as per comment #1. LiveCD's with ppc64 kernels may be
created with livecd-tools and other components.

http://fedoraproject.org/wiki/FedoraLiveCD/LiveCDHowTo

Cheers
Chris
Comment 3 Jeremy Katz 2008-02-04 00:07:39 EST
No, this is a bug.  To support livecds being sanely like the rest of our ppc
support, the kernels need to be parallel installable.
Comment 4 Christopher Brown 2008-02-04 09:00:57 EST
(In reply to comment #3)
> No, this is a bug.  To support livecds being sanely like the rest of our ppc
> support, the kernels need to be parallel installable.

Ah, sorry for the noise then Jeremy. Any kind of status update for this then or
anything to test - is this planned for F9?
Comment 6 Bug Zapper 2008-11-26 02:55:43 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:18:35 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.